Summary:	Random number generator related utilities
Summary(pl.UTF-8):	Narzędzia do generatora liczb losowych
Name:		rng-tools
Version:	6.17
Release:	1
License:	GPL v2+
Group:		Base
Source0:	https://github.com/nhorman/rng-tools/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	07d548e8b75ffb4eedc0058b3802af0b
Source1:	rngd.service
Source2:	rngd.sysconfig
URL:		https://github.com/nhorman/rng-tools/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	jansson-devel
BuildRequires:	jitterentropy-devel >= 3.1.0
BuildRequires:	libcap-devel
BuildRequires:	libp11-devel
BuildRequires:	librtlsdr-devel
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.671
Requires:	jitterentropy >= 3.1.0
Requires:	systemd-units >= 38
Suggests:	opensc
Obsoletes:	rng-utils < 1:2.0-4.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Hardware random number generation tools.

%description -l pl.UTF-8
Narzędzia wspierające sprzętowe generowanie liczb losowych.

%prep
%setup -q

%{__sed} -i -e 's@PKCS11_ENGINE=.*@PKCS11_ENGINE=/usr/%{_lib}/opensc-pkcs11.so@' configure.ac

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-rtlsdr=yes
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{/etc/sysconfig,%{systemdunitdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{systemdunitdir}/rngd.service
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rngd

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_post rngd.service

%preun
%systemd_preun rngd.service

%postun
%systemd_reload

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.md
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rngd
%attr(755,root,root) %{_bindir}/randstat
%attr(755,root,root) %{_bindir}/rngtest
%attr(755,root,root) %{_sbindir}/rngd
%{_mandir}/man1/rngtest.1*
%{_mandir}/man8/rngd.8*
%{systemdunitdir}/rngd.service
%changelog
* Sun Nov 17 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rng-tools.git;a=log;h=master

* Thu Nov 14 2024 Jan Palus <atler@pld-linux.org> 184a51c
- up to 6.17

* Sat Dec 10 2022 Jan Palus <atler@pld-linux.org> 049b6a8
- up to 6.15

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> ca0b3d8
- rebuild with openssl 3.0.0

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> 0e1c61a
- up to 6.14

* Thu Jun 17 2021 Jan Palus <atler@pld-linux.org> 850277a
- up to 6.13

* Tue May 04 2021 Jan Palus <atler@pld-linux.org> d32bf0d
- start rngd early during boot

* Tue May 04 2021 Jan Palus <atler@pld-linux.org> e63409d
- up to 6.12

* Tue Sep 27 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 3788d21
- systemd unit for rngd

* Wed Nov 04 2015 Jakub Bogusz <qboosh@pld-linux.org> 5bd2ea3
- updated to 5

* Sat Jan 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 110a14d
- updated to 4

* Sat Dec 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 6d808e7
- pl, BR cleanup

* Mon Nov 28 2011 Elan Ruusamäe <glen@pld-linux.org> 9104722
- new, spec from fc

